Subject: Re: bug#75004: 30.0.92; documentation unclear about D-Bus support

From: Michael Albinus <[email-masked]>
Date: Sat, 21 Dec 2024 17:22:51 +0100

Mike Kupfer <[email-masked]> writes:

Hi Mike,

> I would like to use TRAMP to access the files on my Android phone.  It's
> not working.  While trying to troubleshoot, I am finding the
> documentation less than clear in a couple places, so I'm reporting those
> shortcomings here.

Thanks for the report! Writing documentation is always hard in order to
determine what you can assume from the reader.

Could you pls check, whether the appended patch (for dbus.texi and
tramp.texi) helps?

> In GNU Emacs 30.0.92 (build 1, x86_64-pc-linux-gnu, X toolkit, cairo
>  version 1.16.0, Xaw scroll bars) of 2024-10-28 built on alto
> Windowing system distributor 'The X.Org Foundation', version 11.0.12101007
> System Description: Debian GNU/Linux 12 (bookworm)
>
> Configured using:
>  'configure --prefix=/usr/local --with-native-compilation=no'
>
> Configured features:
> CAIRO FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG LIBSELINUX
> LIBXML2 MODULES NOTIFY INOTIFY PDUMPER PNG SECCOMP SOUND THREADS TIFF
> TOOLKIT_SCROLL_BARS WEBP X11 XDBE XIM XPM LUCID ZLIB

Hmm, DBUS is not mentioned. Per default, it should be enabled. Perhaps
you need to install the libdbus-1-dev package on your Debian system?

Best regards, Michael.